Page MenuHomePhabricator

Completion suggester disabled on some wikis
Closed, ResolvedPublic

Description

T26214 introduced a way to search multiple namespaces at once in the autocomplete search box. Sadly this hides some features provided by the completion suggester such as sub phrase matching on wikisource. This makes some search preference settings ineffective as well.

Event Timeline

dcausse created this task.Oct 18 2017, 10:35 AM
Restricted Application added a project: Discovery. · View Herald TranscriptOct 18 2017, 10:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as High priority.
debt added a subscriber: debt.

Yikes!

Elitre added a subscriber: Elitre.Oct 27 2017, 9:28 AM

Change 387823 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Switch comp suggest to msearch

https://gerrit.wikimedia.org/r/387823

Change 389494 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Introduce CompletionResultsCollector

https://gerrit.wikimedia.org/r/389494

Change 387823 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Switch comp suggest to msearch

https://gerrit.wikimedia.org/r/387823

Change 389781 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Add prefix search to comp suggest

https://gerrit.wikimedia.org/r/389781

Change 389494 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Introduce CompletionResultsCollector

https://gerrit.wikimedia.org/r/389494

Change 389781 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add prefix search to comp suggest

https://gerrit.wikimedia.org/r/389781

debt closed this task as Resolved.Dec 15 2017, 6:29 PM